public class Algorithm {
    // 0! = 1                   = 1
    // 1! = 1 * 1               = 1
    // 2! = 1 * 1 * 2           = 2
    // 3! = 1 * 1 * 2 * 3       = 6
    // 4! = 1 * 1 * 2 * 3 * 4   = 24
}